import 'package:provider/provider.dart';
import 'package:ui_sdk/components/UIkToolTip.dart';
import 'package:ui_sdk/components/UikCenterRow.dart';
import 'package:ui_sdk/components/UikChips.dart';
import 'package:ui_sdk/components/UikColumn.dart';
import 'package:ui_sdk/components/UikFilterRowThreeComponent.dart';

import 'package:ui_sdk/components/UikAppBar.dart';

import 'package:ui_sdk/components/UikDiscount.dart';

import 'package:ui_sdk/components/UikFilterRowThreeComponent.dart';

import 'package:ui_sdk/components/UikHomeCardFive.dart';
import 'package:ui_sdk/components/UikHomeCardFour.dart';
import 'package:ui_sdk/components/UikHomeCardOne.dart';
import 'package:ui_sdk/components/UikHomeCardThree.dart';
import 'package:ui_sdk/components/UikHomeCardTwelve.dart';
import 'package:ui_sdk/components/UikHomeCardTwo.dart';
import 'package:ui_sdk/components/UikIconText.dart';

import 'package:ui_sdk/components/UikListTileContainer.dart';

import 'package:ui_sdk/components/UikListTile.dart';
import 'package:ui_sdk/components/UikListViewBuilder.dart';
import 'package:ui_sdk/components/UikMembership.dart';
import 'package:ui_sdk/components/UikProfile.dart';
import 'package:ui_sdk/components/UikRadioButtonList.dart';
import 'package:ui_sdk/components/UikTextIconButton.dart';
import 'package:ui_sdk/components/UikVideoPlayer.dart';
import 'package:ui_sdk/components/UikProductCardBig.dart';
import 'package:ui_sdk/components/UikProductCardGrid.dart';
import 'package:ui_sdk/components/UikProductPageContainer.dart';
import 'package:ui_sdk/components/UikProductPageInformationContainer.dart';
import 'package:ui_sdk/components/UikProductScreenTagsRow.dart';

import 'package:ui_sdk/components/UikPagination.dart';

import 'package:ui_sdk/components/UikScreenTitleSubtitle.dart';
import 'package:ui_sdk/components/UikSelectFiles.dart';
import 'package:ui_sdk/components/UikSortFilter.dart';
import 'package:ui_sdk/components/UikSpacer.dart';
import 'package:ui_sdk/components/UikTags.dart';
import 'package:ui_sdk/components/UikImage.dart';
import 'package:ui_sdk/components/UikTopBar.dart';
import 'package:ui_sdk/components/UikUploadPhoto.dart';
import 'package:ui_sdk/props/ApiResponse.dart';
import 'package:ui_sdk/props/ProductScreenTagsRow.dart';
import 'package:ui_sdk/props/StandardScreenResponse.dart';
import 'package:ui_sdk/props/UikAddressProps.dart';
import 'package:ui_sdk/props/UikActionSheetProps.dart';
import 'package:ui_sdk/props/UikAvatarProps.dart';
import 'package:ui_sdk/props/UikCellProps.dart';
import 'package:ui_sdk/props/UikBagItemProps.dart';
import 'package:ui_sdk/props/UikCenterRowProps.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/props/StandardScreenResponse.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/props/UikColumnProps.dart';

import 'package:ui_sdk/props/UikDiscountProps.dart';

import 'package:ui_sdk/props/UikContainerTextProps.dart';
import 'package:ui_sdk/props/UikDividerProps.dart';
import 'package:ui_sdk/props/UikDropDownProps.dart';
import 'package:ui_sdk/props/UikFilterRowThreeComponentProps.dart';
import 'package:ui_sdk/props/UikHeadlineProps.dart';

import 'package:ui_sdk/props/UikAppBarProps.dart';

import 'package:ui_sdk/props/UikFilterOptionProps.dart';
import 'package:ui_sdk/props/UikFilterRowThreeComponentProps.dart';
import 'package:ui_sdk/props/UikHomeCardEightProps.dart';

import 'package:ui_sdk/props/UikHomeCardFiveProps.dart';
import 'package:ui_sdk/props/UikHomeCardFourProps.dart';
import 'package:ui_sdk/props/UikHomeCardNineProps.dart';
import 'package:ui_sdk/props/UikHomeCardOneProps.dart';
import 'package:ui_sdk/props/UikHomeCardSevenProps.dart';
import 'package:ui_sdk/props/UikHomeCardTenProps.dart';
import 'package:ui_sdk/props/UikHomeCardThreeProps.dart';
import 'package:ui_sdk/props/UikHomeCardTwelveProps.dart';
import 'package:ui_sdk/props/UikHomeCardTwoProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:ui_sdk/props/UikIconTextProps.dart';
import 'package:ui_sdk/props/UikImageProps.dart';

import 'package:ui_sdk/props/UikListTileContainerProps.dart';

import 'package:ui_sdk/props/UikJarItemProps.dart';
import 'package:ui_sdk/props/UikMultiButtonRowProps.dart';
import 'package:ui_sdk/props/UikMyOrderProps.dart';
import 'package:ui_sdk/props/UikProductImageTitlePriceCardProps.dart';
import 'package:ui_sdk/props/UikRadioButtonListProps.dart';
import 'package:ui_sdk/props/UikRowListItemProps.dart';
import 'package:ui_sdk/props/UikRowProps.dart';
import 'package:ui_sdk/props/UikShortAndFilterProps.dart';
import 'package:ui_sdk/props/UikProfileProps.dart';
import 'package:ui_sdk/props/UikTextChipListProps.dart';
import 'package:ui_sdk/props/UikTextDividerProps.dart';
import 'package:ui_sdk/props/UikTextIconButtonProps.dart';
import 'package:ui_sdk/props/UikRowTextProps.dart';
import 'package:ui_sdk/props/UikThreeDividerProps.dart';
import 'package:ui_sdk/props/UikListTilesProps.dart';
import 'package:ui_sdk/props/UikListTileProps.dart';
import 'package:ui_sdk/props/UikListViewBuilderProps.dart';
// import 'package:ui_sdk/props/UikMainPageOneProps.dart';
// import 'package:ui_sdk/props/UikMainPageTwoProps.dart';
//import 'package:ui_sdk/props/UikMainPageOneProps.dart';
//import 'package:ui_sdk/props/UikMainPageTwoProps.dart';
import 'package:ui_sdk/props/UikMembershipProps.dart';
import 'package:ui_sdk/props/UikNoInternetProps.dart';
import 'package:ui_sdk/props/UikNewReviewProps.dart';
import 'package:ui_sdk/props/UikProductCardBigProps.dart';
import 'package:ui_sdk/props/UikProductCardGridProps.dart';
import 'package:ui_sdk/props/UikProductInformationProps.dart';
import 'package:ui_sdk/props/UikProductInfornationCompprops.dart';
import 'package:ui_sdk/props/UikProductPageContainerProps.dart';
import 'package:ui_sdk/props/UikProductPageInformationContainerProps.dart';
import 'package:ui_sdk/props/UikProductPagePaginationProps.dart';
import 'package:ui_sdk/props/UikScreenTitleSubtitleProps.dart';
import 'package:ui_sdk/props/UikRowTextProps.dart';

import 'package:ui_sdk/props/UikPaginationProps.dart';
import 'package:ui_sdk/props/UikScreenTitleSubtitleProps.dart';
import 'package:ui_sdk/props/UikSelectFilesProps.dart';
import 'package:ui_sdk/props/UikSortFilterProps.dart';
import 'package:ui_sdk/props/UikSpacerProps.dart';
import 'package:ui_sdk/props/UikRatingProps.dart';
import 'package:ui_sdk/props/UikReviewProps.dart';
import 'package:ui_sdk/props/UikSortFilterProps.dart';

import 'package:ui_sdk/props/UikScreenTitleSubtitleProps.dart';
import 'package:ui_sdk/props/UikSortFilterProps.dart';
import 'package:ui_sdk/props/UikSpacerProps.dart';
import 'package:ui_sdk/props/UikRatingProps.dart';
import 'package:ui_sdk/props/UikReviewProps.dart';
import 'package:ui_sdk/props/UikSortFilterProps.dart';

import 'package:ui_sdk/props/UikStackImageIconProps.dart';
import 'package:ui_sdk/props/UikSwitchProps.dart';
import 'package:ui_sdk/props/UikListItemsProps.dart';
import 'package:ui_sdk/props/UikStepperProps.dart';
import 'package:ui_sdk/props/UikTagsProps.dart';
import 'package:ui_sdk/props/UikTextFieldProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/components/UikNavbar.dart';

import 'package:ui_sdk/components/UIkToolTip.dart';

import 'package:ui_sdk/components/UikChips.dart';
import 'package:ui_sdk/components/UikPageControl.dart';
import 'package:ui_sdk/components/UikPopover.dart';
import 'package:ui_sdk/components/UikProductCard.dart';
import 'package:ui_sdk/components/UikTextArea.dart';
import 'package:ui_sdk/props/StandardScreenResponse.dart';
import 'package:ui_sdk/props/UikAvatarProps.dart';
import 'package:ui_sdk/props/UikBagItemProps.dart';
import 'package:ui_sdk/props/UikCartTextHorizontalProps.dart';
import 'package:ui_sdk/props/UikCellProps.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/props/StandardScreenResponse.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/props/UikDividerProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:ui_sdk/props/UikImageProps.dart';

import 'package:ui_sdk/props/UikPageControlProps.dart';
import 'package:ui_sdk/props/UikPopoverProps.dart';
import 'package:ui_sdk/props/UikProductCardProps.dart';
import 'package:ui_sdk/props/UikTextAreaProps.dart';

import 'package:ui_sdk/props/UikListItemsProps.dart';
import 'package:ui_sdk/props/UikStepperProps.dart';
import 'package:ui_sdk/props/UikTextFieldProps.dart';

import 'package:ui_sdk/props/UikSwitchProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikNavbarProps.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/components/UIkToolTip.dart';
import 'package:ui_sdk/components/UikNavbar.dart';
import 'package:ui_sdk/components/UikChips.dart';
import 'package:ui_sdk/components/UikPageControl.dart';
import 'package:ui_sdk/components/UikPopover.dart';
import 'package:ui_sdk/components/UikScrollProducts.dart';
import 'package:ui_sdk/components/UikTextArea.dart';
import 'package:ui_sdk/components/UikTop100.dart';
import 'package:ui_sdk/props/StandardScreenResponse.dart';
import 'package:ui_sdk/props/UikAvatarProps.dart';
import 'package:ui_sdk/props/UikBagItemProps.dart';
import 'package:ui_sdk/props/UikCartTextHorizontalProps.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:ui_sdk/props/UikImageProps.dart';
import 'package:ui_sdk/props/UikProductProps.dart';
import 'package:ui_sdk/props/UikSearchProps.dart';
import 'package:ui_sdk/props/UikPageControlProps.dart';
import 'package:ui_sdk/props/UikPopoverProps.dart';
import 'package:ui_sdk/props/UikTextAreaProps.dart';
import 'package:ui_sdk/props/UikListItemsProps.dart';
import 'package:ui_sdk/props/UikStepperProps.dart';
import 'package:ui_sdk/props/UikTabBarProps.dart';
import 'package:ui_sdk/props/UikTextFieldProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikNavbarProps.dart';
import 'package:flutter/widgets.dart';
import 'package:ui_sdk/props/UikTotalProps.dart';

import 'components/UikAccordion.dart';
import 'components/UikAddress.dart';
import 'package:ui_sdk/props/UikTextRadioButtonProps.dart';
import 'package:ui_sdk/props/UikThreeComponentRowProps.dart';
import 'package:ui_sdk/props/UikTwoComponentRowProps.dart';
import 'package:ui_sdk/props/UikTopBarProps.dart';
import 'package:ui_sdk/props/UikVideoPlayerProps.dart';
import 'package:ui_sdk/props/UikUploadPhotoProps.dart';

import 'components/UikAddress.dart';
import 'components/UikActionSheet.dart';
import 'components/UikAvatar.dart';
import 'components/UikBagItem.dart';
import 'components/UikButton.dart';
import 'components/UikCell.dart';
import 'components/UikContainerText.dart';
import 'components/UikDivider.dart';
import 'components/UikDropDown.dart';
import 'components/UikFilterOption.dart';
import 'components/UikHeadline.dart';
import 'components/UikHomeCardEight.dart';
import 'components/UikHomeCardEleven.dart';
import 'components/UikHomeCardNine.dart';
import 'components/UikHomeCardSeven.dart';
import 'components/UikHomeCardTen.dart';
import 'components/UikImage.dart';
import 'components/UikMultiButtonRow.dart';
import 'components/UikNoInternet.dart';
import 'components/UikProductImageTitlePriceCard.dart';
import 'components/UikProductInformation.dart';
import 'components/UikProductInformationComp.dart';
import 'components/UikProductPagePagination.dart';
import 'components/UikRow.dart';
import 'components/UikRowListItem.dart';
import 'components/UikRowText.dart';
import 'components/UikJarItem.dart';
import 'components/UikMyOrder.dart';
import 'components/UikShortAndFilter.dart';
import 'components/UikRowText.dart';
import 'components/UikTextChipList.dart';
import 'components/UikTextDivider.dart';
import 'components/UikThreeDivider.dart';
import 'components/UikListTiles.dart';
import 'components/UikNewReview.dart';
import 'components/UikOrderAgainProduct.dart';
import 'components/UikProductPagePagination.dart';
import 'components/UikRating.dart';
import 'components/UikReview.dart';
import 'components/UikScrollOrderAgainProduct.dart';
import 'components/UikStackImageIcon.dart';
import 'components/UikSortPage.dart';
import 'components/UikSwitch.dart';
import 'components/UikCartTextHorizontal.dart';
import 'components/UikGroupAvatar.dart';
import 'components/UikImage.dart';

import 'components/UikProduct.dart';
import 'components/UikSearch.dart';
import 'components/UikSelect.dart';
import 'components/UikListItems.dart';
import 'components/UikOtp.dart';
import 'components/UikRadioButton.dart';
import 'components/UikSlidder.dart';
import 'components/UikStepper.dart';
import 'components/UikTab.dart';
import 'components/UikCell.dart';
import 'components/UikDivider.dart';
import 'components/UikImage.dart';
import 'components/UikSwitch.dart';
import 'components/UikTabBar.dart';
import 'components/UikText.dart';
import 'components/UikTotal.dart';
import 'components/UikTextRadioButton.dart';
import 'components/UikThreeComponentRow.dart';
import 'components/UikTwoComponentRow.dart';
import 'components/UikWidget.dart';
import 'components/WidgetType.dart';

import 'props/UikAccordionProps.dart';
import 'props/UikHomeCardElevenProps.dart';
import 'components/uikTextChip.dart';
import 'props/UikOrderAgainProductProps.dart';
import 'props/UikScrollOrderAgainProductProps.dart';
import 'props/UikScrollProductsProps.dart';
import 'props/UikSelectProps.dart';
import 'props/UikSortPageProps.dart';
import 'props/UikImageProps.dart';
import 'props/UikStepperProps.dart';
import 'props/UikTabBarProps.dart';
import 'props/UikTextChipProps.dart';
import 'props/UikToolTipProps.dart';
import 'props/UikTop100Props.dart';
import 'components/UikChips.dart';
import 'components/UikTextField.dart';
import 'components/UikWidget.dart';
import 'components/WidgetType.dart';

import 'components/UikNavbar.dart';

//import 'props/UikGroupAvatar.dart';
import 'props/UikGroupAvatarProps.dart';
import 'props/UikOtpProps.dart';
import 'props/UikRadioButtonProps.dart';
import 'props/UikSlidderProps.dart';
import 'props/UikTabProps.dart';
import 'utils/update_ui_provider.dart';

enum Status { none, run, stop, pause }

extension StatusEx on Status {
  String get name {
    switch (this) {
      case Status.run:
        return 'RUN';
      case Status.stop:
        return 'STOP';
      default:
        return "NONE";
    }
  }
}

class Renderer {
  dynamic getWidget(String? wType, dynamic wData) {
    switch (wType) {
      case "UikImage":
        return UikImage(WidgetType.UikImage, UikImageProps.fromJson(wData));
      case "UikText":
        return UikText(WidgetType.UikText, UikTextProps.fromJson(wData));
      case "UikButton":
        return UikButton(WidgetType.UikText, UikButtonProps.fromJson(wData));
      case "UikMembership":
        return UikMembership(
            WidgetType.UikText, UikMembershipProps.fromJson(wData));
      case "UikNavbar":
        return UikNavbar(WidgetType.UikText, UikNavbarProps.fromJson(wData));
      case "UikPopover":
        return UikPopover(WidgetType.UikText, UikPopoverProps.fromJson(wData));
      case "UikChips":
        return UikChips(WidgetType.UikText, UikChipsProps.fromJson(wData));
      case "UikSwitch":
        return UikSwitch(WidgetType.UikText, UikSwitchProps.fromJson(wData));
      case "UikCell":
        return UikCell(WidgetType.UikText, UikCellProps.fromJson(wData));
      case "UikDivider":
        return UikDivider(WidgetType.UikText, UikDividerProps.fromJson(wData));
      case "UikIcon":
        return UikIcon(WidgetType.UikText, UikIconProps.fromJson(wData));
      case "UikPagination":
        return UikPagination(
            WidgetType.UikText, UikPaginationProps.fromJson(wData));

      case "UikListTiles":
        return UikListTiles(
            WidgetType.UikText, UikListTilesProps.fromJson(wData));
      case "UikTextArea":
        return UikTextArea(
            WidgetType.UikText, UikTextAreaProps.fromJson(wData));
      case "UikPageControl":
        return UikPageControl(
            WidgetType.UikText, UikPageControlProps.fromJson(wData));

      case "UikAvatar":
        return UikAvatar(WidgetType.UikText, UikAvatarProps.fromJson(wData));
      case "UikRadioButton":
        return UikRadioButton(
            WidgetType.UikText, UikRadioButtonProps.fromJson(wData));
      case "UikSlidder":
        return UikSlidder(WidgetType.UikText, UikSlidderProps.fromJson(wData));
      case "UikListItems":
        return UikListItems(
            WidgetType.UikText, UikListItemsProps.fromJson(wData));

      case "UikGroupAvatar":
        return UikGroupAvatar(
            WidgetType.UikText, UikGroupAvatarProps.fromJson(wData));
      case "UikListTileContainer":
        return UikListTileContainer(
            WidgetType.UikText, UikListTileContainerProps.fromJson(wData));

      case "UikTab":
        return UikTab(WidgetType.UikText, UikTabProps.fromJson(wData));
      case "UikTabBar":
        return UikTabBar(WidgetType.UikText, UikTabBarProps.fromJson(wData));
      case "UikSelect":
        return UikSelect(WidgetType.UikText, UikSelectProps.fromJson(wData));
      case "UikToolTip":
        return UikToolTip(WidgetType.UikText, UikToolTipProps.fromJson(wData));

      case "UikProduct":
        return UikProduct(WidgetType.UikText, UikProductProps.fromJson(wData));
      case "UikDiscount":
        return UikDiscount(
            WidgetType.UikText, UikDiscountProps.fromJson(wData));
      case "UikScrollProducts":
        return UikScrollProducts(
            WidgetType.UikText, UikScrollProductsProps.fromJson(wData));
      case "UikTop100":
        return UikTop100(WidgetType.UikText, UikTop100Props.fromJson(wData));
      case "UikOtp":
        return UikOtp(WidgetType.UikText, UikOtpProps.fromJson(wData));
      case "UikStepper":
        return UikStepper(WidgetType.UikText, UikStepperProps.fromJson(wData));
      case "UikBagItem":
        return UikBagItem(WidgetType.UikText, UikBagItemProps.fromJson(wData));
      case "UikTextField":
        return UikTextField(
            WidgetType.UikText, UikTextFieldProps.fromJson(wData));
      case "UikProductCard":
        return UikProductCard(
            WidgetType.UikText, UikProductCardProps.fromJson(wData));

      case "UikSearch":
        return UikSearch(WidgetType.UikText, UikSearchProps.fromJson(wData));
      case "UikProductPagePagination":
        return UikProductPagePagination(
            WidgetType.UikText, UikProductPagePaginationProps.fromJson(wData));
      case "UikCartTextHorizontal":
        return UikCartTextHorizontal(
            WidgetType.UikText, UikCartTextHorizontalProps.fromJson(wData));
      // case "UikSnackBar" :
      //   return UikSnackBar(WidgetType.UikText, UikSnackBarProps("Snack Me"));
      case "UikVideoPlayer":
        return UikVideoPlayer(
            WidgetType.UikText, UikVideoPlayerProps.fromJson(wData));

      case "UikProductScreenTagsRow":
        return UikProductScreenTagsRow(
            WidgetType.UikText, UikProductScreenTagsRowProps.fromJson(wData));
      case "UikProductPageContainer":
        return UikProductPageContainer(
            WidgetType.UikText, UikProductPageContainerProps.fromJson(wData));

      case "UikProductPageInformationContainer":
        return UikProductPageInformationContainer(WidgetType.UikText,
            UikProductPageInformationContainerProps.fromJson(wData));
      case "UikProductCardBig":
        return UikProductCardBig(
            WidgetType.UikText, UikProductCardBigProps.fromJson(wData));
      case "UikProductCardGrid":
        return UikProductCardGrid(
            WidgetType.UikText, UikProductCardGridProps.fromJson(wData));
      case "UikTags":
        return UikTags(WidgetType.UikText, UikTagsProps.fromJson(wData));

      case "UikSortFilter":
        return UikSortFilter(
            WidgetType.UikText, UikSortFilterProps.fromJson(wData));

        // case "UikSnackBar" :
        //   return UikSnackBar(WidgetType.UikText, UikSnackBarProps("Snack Me"));
        return UikProductPageInformationContainer(WidgetType.UikText,
            UikProductPageInformationContainerProps.fromJson(wData));
      case "UikHomeCardOne":
        return UikHomeCardOne(
            WidgetType.UikText, UikHomeCardOneProps.fromJson(wData));
      case "UikAppBar":
        return UikAppBar(WidgetType.UikText, UikAppBarProps.fromJson(wData));
      case "UikHomeCardTwo":
        return UikHomeCardTwo(
            WidgetType.UikText, UikHomeCardTwoProps.fromJson(wData));
      case "UikStackedImage":
        return UikImage(WidgetType.UikText, UikImageProps.fromJson(wData));
      case "UikHomeCardThree":
        return UikHomeCardThree(
            WidgetType.UikText, UikHomeCardThreeProps.fromJson(wData));
      case "UikHomeCardEleven":
        return UikHomeCardEleven(
            WidgetType.UikText, UikHomeCardElevenProps.fromJson(wData));
      case "UikHomeCardTwelve":
        return UikHomeCardTwelve(
            WidgetType.UikText, UikHomeCardTwelveProps.fromJson(wData));
      case "UikHomeCardFour":
        return UikProductPageInformationContainer(WidgetType.UikText,
            UikProductPageInformationContainerProps.fromJson(wData));
      case "UikHomeCardOne":
        return UikHomeCardOne(
            WidgetType.UikText, UikHomeCardOneProps.fromJson(wData));
      case "UikHomeCardFive":
        return UikHomeCardFive(
            WidgetType.UikText, UikHomeCardFiveProps.fromJson(wData));

      case "UikOrderAgainProduct":
        return UikOrderAgainProduct(
            WidgetType.UikText, UikOrderAgainProductProps.fromJson(wData));
      case "UikScrollOrderAgainProduct":
        return UikScrollOrderAgainProduct(WidgetType.UikText,
            UikScrollOrderAgainProductProps.fromJson(wData));
      case "UikFilterRowThreeComponent":
        return UikFilterRowThreeComponent(WidgetType.UikText,
            UikFilterRowThreeComponentProps.fromJson(wData));
      case "UikThreeDivider":
        return UikThreeDivider(
            WidgetType.UikText, UikThreeDividerProps.fromJson(wData));
      case "UikJarItem":
        return UikJarItem(WidgetType.UikText, UikJarItemProps.fromJson(wData));
      case "UikMyOrder":
        return UikMyOrder(WidgetType.UikText, UikMyOrderProps.fromJson(wData));
      case "UikShortAndFilter":
        return UikShortAndFilter(
            WidgetType.UikText, UikShortAndFilterProps.fromJson(wData));
      case "UikTotal":
        return UikTotal(WidgetType.UikText, UikTotalProps.fromJson(wData));
      case "UikHeadline":
        return UikHeadline(
            WidgetType.UikText, UikHeadlineProps.fromJson(wData));
        // case "UikAddress":
        //   return UikAddress(WidgetType.UikText, UikAddressProps.fromJson(wData));
        return UikJarItem(WidgetType.UikText, UikJarItemProps.fromJson(wData));
      case "UikUploadPhoto":
        return UikUploadPhoto(
            WidgetType.UikText, UikUploadPhotoProps.fromJson(wData));
      case "UikContainerText":
        return UikContainerText(
            WidgetType.UikText, UikContainerTextProps.fromJson(wData));
      case "UikFilterOption":
        return UikFilterOption(
            WidgetType.UikText, UikFilterOptionProps.fromJson(wData));
      case "UikThreeComponentRow":
        return UikThreeComponentRow(
            WidgetType.UikText, UikThreeComponentRowProps.fromJson(wData));
      case "UikTextRadioButton":
        return UikTextRadioButton(
            WidgetType.UikText, UikTextRadioButtonProps.fromJson(wData));
      case "UikProductInformationComp":
        return UikProductInformationComp(
            WidgetType.UikText, UikProductInformationCompProps.fromJson(wData));
      case "UikTwoComponentRow":
        return UikTwoComponentRow(
            WidgetType.UikText, UikTwoComponentRowProps.fromJson(wData));
      case "UikProductInformation":
        return UikProductInformation(
            WidgetType.UikText, UikProductInformationProps.fromJson(wData));
      case "UikActionSheet":
        return UikActionSheet(
            WidgetType.UikText, UikActionSheetProps.fromJson(wData));
      case "UikNoInternet":
        return UikNoInternet(
            WidgetType.UikText, UikNoInternetProps.fromJson(wData));
        return UikActionSheet(
            WidgetType.UikText, UikActionSheetProps.fromJson(wData));
        return UikFilterOption(
            WidgetType.UikText, UikFilterOptionProps.fromJson(wData));
      case "UikFilterRowThreeComponent":
        return UikFilterRowThreeComponent(WidgetType.UikText,
            UikFilterRowThreeComponentProps.fromJson(wData));
      case "UikTopBar":
        return UikTopBar(WidgetType.UikText, UikTopBarProps.fromJson(wData));
      case "UikListTile":
        return UikListTile(
            WidgetType.UikText, UikListTileProps.fromJson(wData));
      case "UikScreenTitleSubtitle":
        return UikScreenTitleSubtitle(
            WidgetType.UikText, UikScreenTitleSubtitleProps.fromJson(wData));
      case "UiklistViewBuilder":
        return UikListViewBuilder(
            WidgetType.UikText, UikListViewBuilderProps.fromJson(wData));
      case "UikCenterRow":
        return UikCenterRow(
            WidgetType.UikText, UikCenterRowProps.fromJson(wData));
      case "UikSpacer":
        return UikSpacer(WidgetType.UikText, UikSpacerProps.fromJson(wData));
      case "UikSelectFiles":
        return UikSelectFiles(
            WidgetType.UikText, UikSelectFilesProps.fromJson(wData));
      case "UikNewReviewPage":
        return UikNewReview(
            WidgetType.UikText, UikNewReviewProps.fromJson(wData));

      case "UikNewRatingPage":
        return UikRating(WidgetType.UikText, UikRatingProps.fromJson(wData));

      case "UikStackImageIconPage":
        return UikStackImageIcon(
            WidgetType.UikText, UikStackImageIconProps.fromJson(wData));

      case "UikReviewPage":
        return UikReview(WidgetType.UikText, UikReviewProps.fromJson(wData));

      case "UikSortPage":
        return UikSortPage(
            WidgetType.UikText, UikSortPageProps.fromJson(wData));
      // case "UikAddress":
      //   return UikAddress(WidgetType.UikText, UikAddressProps.fromJson(wData));
      case "UikIconText":
        return UikIconText(
            WidgetType.UikText, UikIconTextProps.fromJson(wData));
      case "UikProfile":
        return UikProfile(WidgetType.UikText, UikProfileProps.fromJson(wData));
      case "UikTextIconButton":
        return UikTextIconButton(
            WidgetType.UikText, UikTextIconButtonProps.fromJson(wData));
      case "UikHomeCardSeven":
        return UikHomeCardSeven(
            WidgetType.UikText, UikHomeCardSevenProps.fromJson(wData));
      case "UikHomeCardTen":
        return UikHomeCardTen(
            WidgetType.UikText, UikHomeCardTenProps.fromJson(wData));
      case "UikHomeCardEight":
        return UikHomeCardEight(
            WidgetType.UikText, UikHomeCardEightProps.fromJson(wData));
      case "UikHomeCardNine":
        return UikHomeCardNine(
            WidgetType.UikText, UikHomeCardNineProps.fromJson(wData));
      case "UikRowText":
        return UikRowText(WidgetType.UikText, UikRowTextProps.fromJson(wData));
      case "UikTextChip":
        return UikTextChip(
            WidgetType.UikText, UikTextChipProps.fromJson(wData));
      case "UikTextChipList":
        return UikTextChipList(
            WidgetType.UikText, UikTextChipListProps.fromJson(wData));
      case "UikProductImageTitlePriceCard":
        return UikProductImageTitlePriceCard(WidgetType.UikText,
            UikProductImageTitlePriceCardProps.fromJson(wData));
      case "UikMultiButtonRow":
        return UikMultiButtonRow(
            WidgetType.UikText, UikMultiButtonRowProps.fromJson(wData));
      case "UikRadioButtonList":
        return UikRadioButtonList(
            WidgetType.UikText, UikRadioButtonListProps.fromJson(wData));
      case "UikColumn":
        return UikColumn(WidgetType.UikText, UikColumnProps.fromJson(wData));
      case "UikRow":
        return UikRow(WidgetType.UikText, UikRowProps.fromJson(wData));
      case "UikAccordion":
        return UikAccordion(
            WidgetType.UikText, UikAccordionProps.fromJson(wData));
      case "UikTextDivider":
        return UikTextDivider(
            WidgetType.UikText, UikTextDividerProps.fromJson(wData));
      case "UikRowListItem":
        return UikRowListItem(
            WidgetType.UikText, UikRowListItemProps.fromJson(wData));
      case "UikDropDown":
        return UikDropDown(
            WidgetType.UikText, UikDropDownProps.fromJson(wData));
      default:
        return UikText(WidgetType.UikText, UikTextProps.fromJson(wData));
    }
  }

  getListWidgetUi(StandardScreenResponse standardScreenResponse, dynamic fun,
      [bool shouldUpdate = false]) {
    print("coming inside renderemmmmmmmmmmmmmmmmmmmmm");
    int length = standardScreenResponse.widgets.length ?? 2;
    List<UikWidget> screenWidgets = [];

    for (int widgetIndex = 0; widgetIndex < length; widgetIndex++) {
      print(shouldUpdate);

      if (shouldUpdate) {
        if (standardScreenResponse.widgets[widgetIndex].id ==
            "titleContainerText1") {
          print("Inside 1st if block!");
          standardScreenResponse.widgets[widgetIndex].id =
              "titleContainerText2";
        } else if (standardScreenResponse.widgets[widgetIndex].id ==
            "titleContainerText2") {
          print("Inside 2nd if block!");
          standardScreenResponse.widgets[widgetIndex].id =
              "titleContainerText1";
        }
      }
      StandardPageResponseWidgets widgetData =
          standardScreenResponse.widgets[widgetIndex];
      dynamic widgetDataStore =
          standardScreenResponse.dataStore![widgetData.id];
      if (widgetDataStore != null) {
        UikWidget widget = getWidget(widgetData.uiType, widgetDataStore);
        screenWidgets.add(widget);
      }
    }

    var widget = ListView.builder(
      itemCount: screenWidgets.length,
      itemBuilder: (BuildContext ctx, int index) {
        return Align(
          child: screenWidgets[index],
        );
      },
    );

    return widget;
  }
}
