import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikIconTextProps.dart';

class UikIconText extends UikWidget {
  WidgetType _widgetType;
  UikIconTextProps _uikIconTextProps;
  UikIconText(this._widgetType, this._uikIconTextProps)
      : super(_widgetType, _uikIconTextProps);
  @override
  _UikIconTextState createState() => _UikIconTextState(_uikIconTextProps);
}

class _UikIconTextState extends State<UikIconText> {
  UikIconTextProps _uikIconTextProps;
  _UikIconTextState(this._uikIconTextProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.fromLTRB(
          _uikIconTextProps.leftMargin,
          _uikIconTextProps.topMargin,
          _uikIconTextProps.rightMargin,
          _uikIconTextProps.bottomMargin),
      child: Row(
        children: [
          _uikIconTextProps.icon,
          SizedBox(
            width: _uikIconTextProps.distance,
          ),
          _uikIconTextProps.title
        ],
      ),
    );
  }
}
