import 'package:ui_sdk/components/UikImage.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

import '../props/UikProductPagePaginationProps.dart';

class UikProductPagePagination extends UikWidget {
  WidgetType _widgetType;
  UikProductPagePaginationProps _uikProductPagePaginationProps;
  UikProductPagePagination(
      this._widgetType, this._uikProductPagePaginationProps)
      : super(_widgetType, _uikProductPagePaginationProps);

  @override
  _UikProductPagePaginationState createState() =>
      _UikProductPagePaginationState(_uikProductPagePaginationProps);
}

class _UikProductPagePaginationState extends State<UikProductPagePagination> {
  UikProductPagePaginationProps _uikProductPagePaginationProps;
  _UikProductPagePaginationState(this._uikProductPagePaginationProps);

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        Container(child: _uikProductPagePaginationProps.image),
        Positioned(
          child: Container(
            width: 36,
            height: 36,
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(180),
              color: Colors.white,
            ),
            child: Icon(Icons.arrow_back),
          ),
          top: 54,
          left: 16,
        ),
         Positioned(
          child: Container(
            width: 36,
            height: 36,
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(180),
              color: Colors.white,
            ),
            child: Icon(Icons.shopping_cart),
          ),
          top: 54,
          left: 275,
        ),
         Positioned(
          child: Container(
            width: 36,
            height: 36,
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(180),
              color: Colors.white,
            ),
            child: Icon(Icons.heart_broken),
          ),
          top: 54,
          left: 323,
        ),
      ],
    );
  }
}
