import 'package:ui_sdk/components/UikButton.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';

import '../props/UikSortFilterProps.dart';

class UikSortFilter extends UikWidget {
  WidgetType _widgetType;
  UikSortFilterProps _uikSortFilterProps;
  UikSortFilter(this._widgetType, this._uikSortFilterProps)
      : super(_widgetType, _uikSortFilterProps);

  @override
  _UikSortFilterState createState() => _UikSortFilterState(_uikSortFilterProps);
}

class _UikSortFilterState extends State<UikSortFilter> {
  UikSortFilterProps _uikSortFilterProps;
  _UikSortFilterState(this._uikSortFilterProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      // color: Colors.amber,
      margin: EdgeInsets.only(top: 16, bottom: 5),
      child: Row(
        children: [
          Container(
            child: _uikSortFilterProps.sortButton,
          ),
          Container(child: _uikSortFilterProps.filterButton),
        ],
      ),
    );
  }
}
