import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikStackImageIconProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class UikStackImageIcon extends UikWidget {
  WidgetType _widgetType;
  UikStackImageIconProps _uikStackImageIconProps;
  UikStackImageIcon(this._widgetType, this._uikStackImageIconProps)
      : super(_widgetType, _uikStackImageIconProps);

  @override
  _UikStackImageIconState createState() =>
      _UikStackImageIconState(_uikStackImageIconProps);
}

class _UikStackImageIconState extends State<UikStackImageIcon> {
  UikStackImageIconProps _uikStackImageIconProps;
  _UikStackImageIconState(this._uikStackImageIconProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      // height: 160,
      child: Stack(
        children: <Widget>[
          Text("hai"),
          // Container(
          //   decoration: BoxDecoration(
          //     borderRadius: BorderRadius.all(Radius.circular(8.0)),
          //   ),
          //   width: 100,
          //   child: Image.network(
          //     _uikStackImageIconProps.url,
          //   ),
          // ),
          Container(child: _uikStackImageIconProps.image),

          Positioned(
            left: 42,
            child: Container(
              decoration: BoxDecoration(color: Colors.white),
              margin: EdgeInsets.only(top: 5),
              child: Icon(
                Icons.close,
                size: 15,
                color: Colors.black,
              ),
            ),
          ),
        ],
      ),
    );
  }
}
