// ignore_for_file: unused_import
import 'package:ui_sdk/components/UikActionSheet.dart';
import 'package:ui_sdk/components/UikRadioButton.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';

import '../../components/UikIcon.dart';
import '../../components/UikText.dart';
import '../../components/UikButton.dart';
import '../../components/WidgetType.dart';
import '../../props/UikActionSheetProps.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikRadioButtonProps.dart';
import '../../props/UikSortPageProps.dart';

UikSortPageProps $UikSortPagePropsFromJson(Map<String, dynamic> json) {
  final UikSortPageProps uikSortPageProps = UikSortPageProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikSortPageProps.id = id;
  }

  // ignore: non_constant_identifier_names
  final String? filterButton =
      jsonConvert.convert<String>(json['filterButton']);
  if (filterButton != null) {
    uikSortPageProps.filterButton = UikButton(
        WidgetType.UikText, UikButtonProps.fromJson(json['filterButton']));
  }

  final String? sheet = jsonConvert.convert<String>(json['sheet']);
  if (sheet != null) {
    uikSortPageProps.sheet = UikActionSheet(
        WidgetType.UikText, UikActionSheetProps.fromJson(json['sheet']));
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikSortPageProps.action = action;
  }
  return uikSortPageProps;
}
