import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';

UikAction $UikActionFromJson(Map<String, dynamic> json) {
  final UikAction uikAction = UikAction();
  final UikAction_Tap? tap = jsonConvert.convert<UikAction_Tap>(json['tap']);
  if (tap != null) {
    uikAction.tap = tap;
  }
  return uikAction;
}

Map<String, dynamic> $UikActionToJson(UikAction entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['tap'] = entity.tap.toJson();
  return data;
}

UikAction_Tap $UikAction_TapFromJson(Map<String, dynamic> json) {
  final UikAction_Tap uikAction_Tap = UikAction_Tap();
  final String? type = jsonConvert.convert<String>(json['type']);
  if (type != null) {
    uikAction_Tap.type = type;
  }
  final UikAction_TapData? data =
      jsonConvert.convert<UikAction_TapData>(json['data']);
  if (data != null) {
    uikAction_Tap.data = data;
  }
  return uikAction_Tap;
}

Map<String, dynamic> $UikAction_TapToJson(UikAction_Tap entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['type'] = entity.type;
  data['data'] = entity.data.toJson();
  return data;
}

UikAction_TapData $UikAction_TapDataFromJson(Map<String, dynamic> json) {
  final UikAction_TapData uikAction_TapData = UikAction_TapData();

  final String? url = jsonConvert.convert<String>(json['url']);
  if (url != null) {
    uikAction_TapData.url = url;
  }

  final String? skuId = jsonConvert.convert<String>(json['skuId']);
  if (skuId != null) {
    uikAction_TapData.skuId = skuId;
  }

  final String? key = jsonConvert.convert<String>(json['key']);
  if (key != null) {
    uikAction_TapData.key = key;
  }

  final String? value =
      jsonConvert.convert<String>(json['value']);
  if (value != null) {
    uikAction_TapData.value = value;
  }
  
  return uikAction_TapData;
}

Map<String, dynamic> $UikAction_TapDataToJson(UikAction_TapData entity) {
//  print(entity);
  final Map<String, dynamic> data = <String, dynamic>{};

  data['url'] = entity.url;
  data['skuId'] = entity.skuId;
  
  data['key'] = entity.key;
  data['value'] = entity.value;

  return data;
}
