import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/components/UikThreeComponentRow.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:flutter/material.dart';

import '../../components/UikAvatar.dart';
import '../../components/WidgetType.dart';
import '../../props/UikAvatarProps.dart';
import '../../props/UikFilterOptionProps.dart';
import '../../props/UikThreeComponentRowProps.dart';

UikFilterOptionProps $UikFilterOptionPropsFromJson(Map<String, dynamic> json) {
  final UikFilterOptionProps uikFilterOptionProps = UikFilterOptionProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikFilterOptionProps.id = id;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikFilterOptionProps.action = action;
  }

  return uikFilterOptionProps;
}
