import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikRowListItemProps.dart';
import 'package:flutter/material.dart';
import 'package:ui_sdk/utils/extensions.dart';

import '../../components/UikIcon.dart';
import '../../components/UikText.dart';
import '../../components/WidgetType.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikTextProps.dart';

UikRowListItemProps $UikRowListItemPropsFromJson(Map<String, dynamic> json) {
  print(
      "Coming ................................in Text.................................");
  final UikRowListItemProps uikRowListItemProps = UikRowListItemProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikRowListItemProps.id = id;
  }
  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikRowListItemProps.text =
        UikText(WidgetType.UikText, UikTextProps.fromJson(json["text"]));
  }

  final String? icon = jsonConvert.convert<String>(json['icon']);
  if (icon != null) {
    uikRowListItemProps.icon =
        UikIcon(WidgetType.UikText, UikIconProps.fromJson(json["icon"]));
  }
  // final String? striketext = jsonConvert.convert<String>(json['striketext']);
  // if (striketext != null) {
  //   uikRowListItemProps.striketext = striketext;
  // }

  // final String? color = jsonConvert.convert<String>(json['color']);
  // if (color != null) {
  //   uikRowListItemProps.color = color.toColor();
  // }
  // final bool? strikethrough = jsonConvert.convert<bool>(json['isStrike']);
  // if (strikethrough != null) {
  //   uikRowListItemProps.isStrike = strikethrough;
  // }

  // final double? size = jsonConvert.convert<double>(json['size']);
  // if (size != null) {
  //   uikRowListItemProps.size = size;
  // }

  // final String? fontWeight = jsonConvert.convert<String>(json['fontWeight']);
  // if (fontWeight != null) {
  //   if (fontWeight == "FontWeight.bold") {
  //     uikRowListItemProps.fontWeight = FontWeight.bold;
  //   }
  //   if (fontWeight == "FontWeight.w100") {
  //     uikRowListItemProps.fontWeight = FontWeight.w100;
  //   }
  //   if (fontWeight == "FontWeight.w200") {
  //     uikRowListItemProps.fontWeight = FontWeight.w200;
  //   }
  //   if (fontWeight == "FontWeight.w300") {
  //     uikRowListItemProps.fontWeight = FontWeight.w300;
  //   }
  //   if (fontWeight == "FontWeight.w400") {
  //     uikRowListItemProps.fontWeight = FontWeight.w400;
  //   }
  //   if (fontWeight == "FontWeight.w500") {
  //     uikRowListItemProps.fontWeight = FontWeight.w500;
  //   }
  //   if (fontWeight == "FontWeight.w600") {
  //     uikRowListItemProps.fontWeight = FontWeight.w600;
  //   }
  //   if (fontWeight == "FontWeight.w700") {
  //     uikRowListItemProps.fontWeight = FontWeight.w700;
  //   }
  //   if (fontWeight == "FontWeight.w800") {
  //     uikRowListItemProps.fontWeight = FontWeight.w800;
  //   }
  //   if (fontWeight == "FontWeight.w900") {
  //     uikRowListItemProps.fontWeight = FontWeight.w900;
  //   }
  // }
  // final String? fontFamily = jsonConvert.convert<String>(json['fontFamily']);
  // if (fontFamily != null) {
  //   uikRowListItemProps.fontFamily = fontFamily;
  // }

  final double? leftMargin = jsonConvert.convert<double>(json["leftMargin"]);
  final double? rightMargin = jsonConvert.convert<double>(json["rightMargin"]);
  final double? topMargin = jsonConvert.convert<double>(json["topMargin"]);
  final double? bottomMargin =
      jsonConvert.convert<double>(json["bottomMargin"]);

  final double? spaceBetween =
      jsonConvert.convert<double>(json["spaceBetween"]);

  // final bool? isStriken = jsonConvert.convert<bool>(json["isStriken"]);

  if (leftMargin != null) {
    uikRowListItemProps.leftMargin = leftMargin;
  }
  if (topMargin != null) {
    uikRowListItemProps.topMargin = topMargin;
  }
  if (bottomMargin != null) {
    uikRowListItemProps.bottomMargin = bottomMargin;
  }
  if (rightMargin != null) {
    uikRowListItemProps.rightMargin = rightMargin;
  }
  if (spaceBetween != null) {
    uikRowListItemProps.spaceBetween = spaceBetween;
  }

  // if (isStriken != null) {
  //   uikRowListItemProps.isStriken = isStriken;
  // }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikRowListItemProps.action = action;
  }
  return uikRowListItemProps;
}
