import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardSix_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikHomeCardSixProps extends WidgetProps {
  late String id;
  late Widget? image;
  late Widget? text1;
  late Widget? text2;
  late double starCount = 0;
  late double marginTop = 0;
  late double marginLeft = 0;
  late double marginRight = 0;
  late double marginBottom = 0;
  late UikAction action;

  UikHomeCardSixProps();

  factory UikHomeCardSixProps.fromJson(Map<String, dynamic> json) =>
      $UikHomeCardSixPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
