import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_ListViewBuilder_props.g.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikListViewBuilderProps extends WidgetProps {
  late String id;
  late List<Widget> children;

  UikListViewBuilderProps();

  factory UikListViewBuilderProps.fromJson(Map<String, dynamic> json) =>
      $UikListViewBuilderPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikListViewBuilderPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
