import 'dart:convert';
import 'dart:ui';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_cell_props.g.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';
import '../generated/json/uik_membership_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikMembershipProps extends WidgetProps {
  late String id;
  //late double widthSize = 343.0;
  //late double heightSize = 64.0;
  late String headingText;
  late String subtitleText = "Descrtion";
  late String duration;
  late List<dynamic> perks = [];
  late double price;
  late Widget? button;
  late Widget? button2;
  late Widget? icon;
  //late Widget? leftElement ;
  //late Widget? rightElement;
  late UikAction action;

  UikMembershipProps();

  factory UikMembershipProps.fromJson(Map<String, dynamic> json) =>
      $UikMembershipPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
