import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_MultiButtonRow_props.dart';
import '../generated/json/uik_textChip_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikMultiButtonRowProps extends WidgetProps {
  late String id;
  List<Widget> buttons = [];

  UikMultiButtonRowProps();

  factory UikMultiButtonRowProps.fromJson(Map<String, dynamic> json) =>
      $UikMultiButtonRowPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikMultiButtonRowPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
