import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_productCardGrid_props.g.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_productcard_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikProductCardGridProps extends WidgetProps {
  late String id;
  late List<dynamic> productCards = [];
  late double? width = null;
  late double height = 120;
  late int crossAxisCount = 2;
  late double childAspectRatio = 0.6;
  late double leftPadding = 0.0;
  late double topMargin = 0.0;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double bottomMargin = 0.0;
  late bool isScrollable = true;
  late UikAction action;

  UikProductCardGridProps();

  factory UikProductCardGridProps.fromJson(Map<String, dynamic> json) =>
      $UikProductCardGridPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
