import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';

import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_row_list_item_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikRowListItemProps extends WidgetProps {
  late String id;
  late Widget? text;
  late Widget? icon;

  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double bottomMargin = 0.0;
  late double topMargin = 0.0;
  late UikAction action;
  late double spaceBetween = 0.0;

  UikRowListItemProps();

  factory UikRowListItemProps.fromJson(Map<String, dynamic> json) =>
      $UikRowListItemPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
