import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_snackbar_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikSnackBarProps extends WidgetProps {
  late String id;
  late String description = "garg";
  late String title = "lavesh";
  late Color backgroundColor = Colors.black;
  late Widget leftElement = Icon(Icons.abc);
  late UikAction action;

  UikSnackBarProps();

  factory UikSnackBarProps.fromJson(Map<String, dynamic> json) =>
      $UikSnackBarPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
