import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_textChipList_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikTextChipListProps extends WidgetProps {
  late String id;
  List<Widget> children = [];

  UikTextChipListProps();

  factory UikTextChipListProps.fromJson(Map<String, dynamic> json) =>
      $UikTextChipListPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikTextChipListPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
