import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_ThreeDivider_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikThreeDividerProps extends WidgetProps {
  late String id;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double topMargin = 0.0;
  late double bottomMargin = 0.0;
  late Widget? dividerText = null;

  late UikAction action;

  UikThreeDividerProps();

  factory UikThreeDividerProps.fromJson(Map<String, dynamic> json) =>
      $UikThreeDividerPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
