// ignore_for_file: file_names, prefer_final_fields

import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHomeCardFourProps.dart';
import 'package:flutter/material.dart';

// ignore: must_be_immutable
class UikHomeCardFour extends UikWidget {
  // ignore: unused_field
  WidgetType _widgetType;
  UikHomeCardFourProps _uikHomeCardFourProps;
  UikHomeCardFour(this._widgetType, this._uikHomeCardFourProps)
      : super(_widgetType, _uikHomeCardFourProps);

  @override
  _UikHomeCardFourState createState() =>
      // ignore: no_logic_in_create_state
      _UikHomeCardFourState(_uikHomeCardFourProps);
}

class _UikHomeCardFourState extends State<UikHomeCardFour> {
  // ignore: unused_field
  UikHomeCardFourProps _uikHomeCardFourProps;
  _UikHomeCardFourState(this._uikHomeCardFourProps);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Stack(
          children: [
            Container(
              width: 110,
              height: 142,
              decoration: const BoxDecoration(
                color: Colors.white,
              ),
              child: Column(
                children: [
                  _uikHomeCardFourProps.image!,
                  Container(
                    margin: const EdgeInsets.only(
                      top: 12,
                      left: 12,
                      right: 12,
                      bottom: 1,
                    ),
                    child: _uikHomeCardFourProps.text!,
                  ),
                ],
              ),
            ),
            Positioned(
              left: 5,
              top: 6,
              child: _uikHomeCardFourProps.tag!,
            )
          ],
        ),
      ],
    );
  }
}
