import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/ApiResponse.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/cupertino.dart';

import '../../props/StandardScreenResponse.dart';
import '../../props/UikAvatarProps.dart';

ApiResponse $ApiResponseFromJson(Map<String, dynamic> json) {
  final ApiResponse uikApiResponse = ApiResponse();
  final bool? isSuccess = jsonConvert.convert<bool>(json['isSuccess']);
  if (isSuccess != null) {
    uikApiResponse.isSuccess = isSuccess;
  }
  if (json['data'] != null) {
    final dynamic? data =
        jsonConvert.convert<dynamic>(json['data']['response']);
    //print("...........................${data}................");
    if (data != null) {
      uikApiResponse.data = json['data']['response'];
    }
  }

  final Map<String?, dynamic>? error =
      jsonConvert.convert<Map<String?, dynamic>?>(json['error']);
  if (error != null) {
    uikApiResponse.error = error;
  }
  return uikApiResponse;
}

Map<String, dynamic> $ApiResponseToJson(ApiResponse entity) {
  final Map<String, dynamic> data = <String, dynamic>{};

  return data;
}
