import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardOne_props.g.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardTwo_props.g.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikHomeCardTwoProps extends WidgetProps {
  late String id;
  late Widget? icon = null;
  late Widget? text;
  late UikAction action;

  UikHomeCardTwoProps();

  factory UikHomeCardTwoProps.fromJson(Map<String, dynamic> json) =>
      $UikHomeCardTwoPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
