import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_productPagePagination_props.g.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikProductPagePaginationProps extends WidgetProps {
  late String id;
  late Widget image;
  late UikAction action;

  UikProductPagePaginationProps();

  factory UikProductPagePaginationProps.fromJson(Map<String, dynamic> json) =>
      $UikProductPagePaginationPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
